Bug 1892115 - Internal microphone not recognized anymore
Summary: Internal microphone not recognized anymore
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-27 23:17 UTC by rugk
Modified: 2021-01-20 14:44 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
microphone.png (7.34 KB, image/png)
2020-10-27 23:18 UTC, rugk
no flags Details
pactl-list-cards.txt (2.63 KB, text/plain)
2020-10-27 23:18 UTC, rugk
no flags Details
pactl-list-sinks.txt (2.06 KB, text/plain)
2020-10-27 23:19 UTC, rugk
no flags Details
pactl-list-sources.txt (5.22 KB, text/plain)
2020-10-27 23:19 UTC, rugk
no flags Details
alsa-info.sh --no-upload output as requested (33.98 KB, text/plain)
2020-12-07 13:06 UTC, chialinglee2011
no flags Details

Description rugk 2020-10-27 23:17:31 UTC
Description of problem:
Since upgrading from Fedora 32 to v33, the internal microphone is not recognized anymore.


Version-Release number of selected component (if applicable):
pulseaudio --version
pulseaudio 13.99.2-rebootstrapped

Silverblue 33.20201027.0

How reproducible:
Always,

Steps to Reproduce:
Go to "audio" in gnome-settings and look at the microphone input.

Actual results:
You do only have a red bar and if you use gnome audio recorder, you see it does not record anything.
See attached microphone.png.

Also, I notice that with Bluetooth headsets as soon as I switch to them the audio output quality is decreased a low. This did not happen before.

Expected results:
As in Fedora 32 I can switch between the internal microphone and headset, if one is connected.
If

Additional info:
device IdeaPad 5 15ARE05

I do have pulseaudio-module-bluetooth-freeworld from rpmfusion for codecs installed, but IIRC the error happened before that already and it does not have anything to do with Bluetooth.

Comment 1 rugk 2020-10-27 23:18:11 UTC
Created attachment 1724638 [details]
microphone.png

Comment 2 rugk 2020-10-27 23:18:35 UTC
Created attachment 1724639 [details]
pactl-list-cards.txt

Comment 3 rugk 2020-10-27 23:19:17 UTC
Created attachment 1724640 [details]
pactl-list-sinks.txt

Comment 4 rugk 2020-10-27 23:19:32 UTC
Created attachment 1724641 [details]
pactl-list-sources.txt

Comment 5 cpl 2020-10-28 22:25:24 UTC
Same issue on my Thinkpad X395 on Fedora 33 Workstation. 
The internal microphone is still recording, but shows up as "Headphones Stereo Microphone (unplugged)" in pavucontrol and is not selectable as an input device.

Comment 6 rugk 2020-10-30 10:17:20 UTC
Blacklisting some kernel modules as explained here fixed it for me:
https://ask.fedoraproject.org/t/mic-doesnt-work-after-updating-to-fedora-33/9951/2?u=rugk

Comment 7 nmendozam 2020-11-01 18:33:49 UTC
I have the same issue in fedora 33 with a Lenovo IdeaPad s340.

Audio hardware reported with "arecord -l":
**** List of CAPTURE Hardware Devices ****
card 1: Generic_1 [HD-Audio Generic], device 0: ALC257 Analog [ALC257 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 2: acp [acp], device 0: DMIC capture dmic-hifi-0 []
  Subdevices: 0/1
  Subdevice #0: subdevice #0

and the output of "uname -r":

5.8.16-300.fc33.x86_64


Also, the workaround @rugk mentioned, worked for me too.

Comment 8 chialinglee2011 2020-11-10 01:15:59 UTC
I have the same issue - Fedora Core 32 had no problem, mic was working. Upgrade to 33 and mic stopped working. Sound output was fine. 



[cllee@uranus ~]$ arecord -l
**** List of CAPTURE Hardware Devices ****
card 1: Generic_1 [HD-Audio Generic], device 0: ALC257 Analog [ALC257 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 2: acp [acp], device 0: DMIC capture dmic-hifi-0 []
  Subdevices: 1/1
  Subdevice #0: subdevice #0


[cllee@uranus ~]$ uname -a
Linux uranus 5.8.18-300.fc33.x86_64 #1 SMP Mon Nov 2 19:09:05 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux


[cllee@uranus ~]$ cat /etc/redhat-release 
Fedora release 33 (Thirty Three


I have a Lenovo Flex 5, see output below. 


uranus                      
    description: Computer
    width: 64 bits
    capabilities: smp vsyscall32
  *-core
       description: Motherboard
       physical id: 0
     *-memory
          description: System memory
          physical id: 0
          size: 15GiB
     *-cpu
          product: AMD Ryzen 7 4700U with Radeon Graphics
          vendor: Advanced Micro Devices [AMD]
          physical id: 1
          bus info: cpu@0
          size: 1859MHz
          capacity: 2GHz
          width: 64 bits
          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp x86-64 constant_tsc rep_good nopl nonstop_tsc cpuid extd_apicid aperfmperf pni pclmulqdq monitor ssse3 fma cx16 sse4_1 sse4_2 movbe popcnt aes xsave avx f16c rdrand lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit wdt tce topoext perfctr_core perfctr_nb bpext perfctr_llc mwaitx cpb cat_l3 cdp_l3 hw_pstate sme ssbd mba sev ibrs ibpb stibp vmmcall fsgsbase bmi1 avx2 smep bmi2 cqm rdt_a rdseed adx smap clflushopt clwb sha_ni xsaveopt xsavec xgetbv1 xsaves cqm_llc cqm_occup_llc cqm_mbm_total cqm_mbm_local clzero irperf xsaveerptr rdpru wbnoinvd arat npt lbrv svm_lock nrip_save tsc_scale vmcb_clean flushbyasid decodeassists pausefilter pfthreshold avic v_vmsave_vmload vgif umip rdpid overflow_recov succor smca cpufreq
     *-pci:0
          description: Host bridge
          product: Renoir Root Complex
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 00
          width: 32 bits
          clock: 33MHz
        *-generic UNCLAIMED
             description: IOMMU
             product: Renoir IOMMU
             vendor: Advanced Micro Devices, Inc. [AMD]
             physical id: 0.2
             bus info: pci@0000:00:00.2
             version: 00
             width: 32 bits
             clock: 33MHz
             capabilities: cap_list
             configuration: latency=0
        *-pci:0
             description: PCI bridge
             product: Renoir PCIe GPP Bridge
             vendor: Advanced Micro Devices, Inc. [AMD]
             physical id: 1.2
             bus info: pci@0000:00:01.2
             version: 00
             width: 32 bits
             clock: 33MHz
             capabilities: pci normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:26 memory:fc800000-fc8fffff
           *-generic
                description: MMC Host
                product: RTS522A PCI Express Card Reader
                vendor: Realtek Semiconductor Co., Ltd.
                physical id: 0
                bus info: pci@0000:01:00.0
                logical name: mmc0
                version: 01
                width: 32 bits
                clock: 33MHz
                capabilities: bus_master cap_list
                configuration: driver=rtsx_pci latency=0
                resources: irq:55 memory:fc800000-fc800fff
        *-pci:1
             description: PCI bridge
             product: Renoir PCIe GPP Bridge
             vendor: Advanced Micro Devices, Inc. [AMD]
             physical id: 2.2
             bus info: pci@0000:00:02.2
             version: 00
             width: 32 bits
             clock: 33MHz
             capabilities: pci normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:27 ioport:2000(size=4096) memory:fc700000-fc7fffff
           *-network
                description: Wireless interface
                product: RTL8822CE 802.11ac PCIe Wireless Network Adapter
                vendor: Realtek Semiconductor Co., Ltd.
                physical id: 0
                bus info: pci@0000:02:00.0
                logical name: wlp2s0
                version: 00
                serial: 8c:c8:4b:93:cb:dd
                width: 64 bits
                clock: 33MHz
                capabilities: bus_master cap_list ethernet physical wireless
                configuration: broadcast=yes driver=rtw_8822ce driverversion=5.8.18-300.fc33.x86_64 firmware=N/A ip=192.168.1.25 latency=0 link=yes multicast=yes wireless=IEEE 802.11
                resources: irq:84 ioport:2000(size=256) memory:fc700000-fc70ffff
        *-pci:2
             description: PCI bridge
             product: Renoir PCIe GPP Bridge
             vendor: Advanced Micro Devices, Inc. [AMD]
             physical id: 2.4
             bus info: pci@0000:00:02.4
             version: 00
             width: 32 bits
             clock: 33MHz
             capabilities: pci normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:28 memory:fc600000-fc6fffff
           *-nvme
                description: NVMe device
                product: SAMSUNG MZVLB512HBJQ-000L2
                vendor: Samsung Electronics Co Ltd
                physical id: 0
                bus info: pci@0000:03:00.0
                logical name: /dev/nvme0
                version: 3L1QEXF7
                serial: S4DYNF0N348509
                width: 64 bits
                clock: 33MHz
                capabilities: nvme nvm_express bus_master cap_list
                configuration: driver=nvme latency=0 nqn=nqn.2014.08.org.nvmexpress:144d144dS4DYNF0N348509      SAMSUNG MZVLB512HBJQ-000L2 state=live
                resources: irq:56 memory:fc600000-fc603fff
              *-namespace
                   description: NVMe disk
                   physical id: 1
                   bus info: nvme@0:1
                   logical name: /dev/nvme0n1
                   configuration: wwid=eui.0025388301b465b8
        *-pci:3
             description: PCI bridge
             product: Renoir Internal PCIe GPP Bridge to Bus
             vendor: Advanced Micro Devices, Inc. [AMD]
             physical id: 8.1
             bus info: pci@0000:00:08.1
             version: 00
             width: 32 bits
             clock: 33MHz
             capabilities: pci normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:29 ioport:1000(size=4096) memory:fc100000-fc5fffff ioport:460000000(size=270532608)
           *-display
                description: VGA compatible controller
                product: Renoir
                vendor: Advanced Micro Devices, Inc. [AMD/ATI]
                physical id: 0
                bus info: pci@0000:04:00.0
                version: c2
                width: 64 bits
                clock: 33MHz
                capabilities: vga_controller bus_master cap_list
                configuration: driver=amdgpu latency=0
                resources: iomemory:40-3f iomemory:40-3f irq:44 memory:460000000-46fffffff memory:470000000-4701fffff ioport:1000(size=256) memory:fc500000-fc57ffff
           *-multimedia:0
                description: Audio device
                product: Advanced Micro Devices, Inc. [AMD/ATI]
                vendor: Advanced Micro Devices, Inc. [AMD/ATI]
                physical id: 0.1
                bus info: pci@0000:04:00.1
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: bus_master cap_list
                configuration: driver=snd_hda_intel latency=0
                resources: irq:81 memory:fc5c8000-fc5cbfff
           *-generic:0
                description: Encryption controller
                product: Family 17h (Models 10h-1fh) Platform Security Processor
                vendor: Advanced Micro Devices, Inc. [AMD]
                physical id: 0.2
                bus info: pci@0000:04:00.2
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: bus_master cap_list
                configuration: driver=ccp latency=0
                resources: irq:74 memory:fc400000-fc4fffff memory:fc5ce000-fc5cffff
           *-usb:0
                description: USB controller
                product: Renoir USB 3.1
                vendor: Advanced Micro Devices, Inc. [AMD]
                physical id: 0.3
                bus info: pci@0000:04:00.3
                version: 00
                width: 64 bits
                clock: 33MHz
                capabilities: xhci bus_master cap_list
                configuration: driver=xhci_hcd latency=0
                resources: irq:35 memory:fc100000-fc1fffff
           *-usb:1
                description: USB controller
                product: Renoir USB 3.1
                vendor: Advanced Micro Devices, Inc. [AMD]
                physical id: 0.4
                bus info: pci@0000:04:00.4
                version: 00
                width: 64 bits
                clock: 33MHz
                capabilities: xhci bus_master cap_list
                configuration: driver=xhci_hcd latency=0
                resources: irq:44 memory:fc200000-fc2fffff
           *-multimedia:1
                description: Multimedia controller
                product: Raven/Raven2/FireFlight/Renoir Audio Processor
                vendor: Advanced Micro Devices, Inc. [AMD]
                physical id: 0.5
                bus info: pci@0000:04:00.5
                version: 01
                width: 32 bits
                clock: 33MHz
                capabilities: bus_master cap_list
                configuration: driver=snd_rn_pci_acp3x latency=0
                resources: irq:80 memory:fc580000-fc5bffff
           *-multimedia:2
                description: Audio device
                product: Family 17h (Models 10h-1fh) HD Audio Controller
                vendor: Advanced Micro Devices, Inc. [AMD]
                physical id: 0.6
                bus info: pci@0000:04:00.6
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: bus_master cap_list
                configuration: driver=snd_hda_intel latency=0
                resources: irq:82 memory:fc5c0000-fc5c7fff
           *-generic:1 UNCLAIMED
                description: Signal processing controller
                product: Raven/Raven2/Renoir Sensor Fusion Hub
                vendor: Advanced Micro Devices, Inc. [AMD]
                physical id: 0.7
                bus info: pci@0000:04:00.7
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: cap_list
                configuration: latency=0
                resources: memory:fc300000-fc3fffff memory:fc5cc000-fc5cdfff
        *-pci:4
             description: PCI bridge
             product: Renoir Internal PCIe GPP Bridge to Bus
             vendor: Advanced Micro Devices, Inc. [AMD]
             physical id: 8.2
             bus info: pci@0000:00:08.2
             version: 00
             width: 32 bits
             clock: 33MHz
             capabilities: pci normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:30 memory:fc000000-fc0fffff
           *-sata:0
                description: SATA controller
                product: FCH SATA Controller [AHCI mode]
                vendor: Advanced Micro Devices, Inc. [AMD]
                physical id: 0
                bus info: pci@0000:05:00.0
                version: 81
                width: 32 bits
                clock: 33MHz
                capabilities: sata ahci_1.0 bus_master cap_list
                configuration: driver=ahci latency=0
                resources: irq:32 memory:fc001000-fc0017ff
           *-sata:1
                description: SATA controller
                product: FCH SATA Controller [AHCI mode]
                vendor: Advanced Micro Devices, Inc. [AMD]
                physical id: 0.1
                bus info: pci@0000:05:00.1
                version: 81
                width: 32 bits
                clock: 33MHz
                capabilities: sata ahci_1.0 bus_master cap_list
                configuration: driver=ahci latency=0
                resources: irq:34 memory:fc000000-fc0007ff
        *-serial
             description: SMBus
             product: FCH SMBus Controller
             vendor: Advanced Micro Devices, Inc. [AMD]
             physical id: 14
             bus info: pci@0000:00:14.0
             version: 51
             width: 32 bits
             clock: 66MHz
             configuration: driver=piix4_smbus latency=0
             resources: irq:0
        *-isa
             description: ISA bridge
             product: FCH LPC Bridge
             vendor: Advanced Micro Devices, Inc. [AMD]
             physical id: 14.3
             bus info: pci@0000:00:14.3
             version: 51
             width: 32 bits
             clock: 66MHz
             capabilities: isa bus_master
             configuration: latency=0
     *-pci:1
          description: Host bridge
          product: Renoir PCIe Dummy Host Bridge
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 101
          bus info: pci@0000:00:01.0
          version: 00
          width: 32 bits
          clock: 33MHz
     *-pci:2
          description: Host bridge
          product: Renoir PCIe Dummy Host Bridge
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 102
          bus info: pci@0000:00:02.0
          version: 00
          width: 32 bits
          clock: 33MHz
     *-pci:3
          description: Host bridge
          product: Renoir PCIe Dummy Host Bridge
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 103
          bus info: pci@0000:00:08.0
          version: 00
          width: 32 bits
          clock: 33MHz
     *-pci:4
          description: Host bridge
          product: Renoir Device 24: Function 0
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 104
          bus info: pci@0000:00:18.0
          version: 00
          width: 32 bits
          clock: 33MHz
     *-pci:5
          description: Host bridge
          product: Renoir Device 24: Function 1
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 105
          bus info: pci@0000:00:18.1
          version: 00
          width: 32 bits
          clock: 33MHz
     *-pci:6
          description: Host bridge
          product: Renoir Device 24: Function 2
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 106
          bus info: pci@0000:00:18.2
          version: 00
          width: 32 bits
          clock: 33MHz
     *-pci:7
          description: Host bridge
          product: Renoir Device 24: Function 3
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 107
          bus info: pci@0000:00:18.3
          version: 00
          width: 32 bits
          clock: 33MHz
          configuration: driver=k10temp
          resources: irq:0
     *-pci:8
          description: Host bridge
          product: Renoir Device 24: Function 4
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 108
          bus info: pci@0000:00:18.4
          version: 00
          width: 32 bits
          clock: 33MHz
     *-pci:9
          description: Host bridge
          product: Renoir Device 24: Function 5
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 109
          bus info: pci@0000:00:18.5
          version: 00
          width: 32 bits
          clock: 33MHz
     *-pci:10
          description: Host bridge
          product: Renoir Device 24: Function 6
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 10a
          bus info: pci@0000:00:18.6
          version: 00
          width: 32 bits
          clock: 33MHz
     *-pci:11
          description: Host bridge
          product: Renoir Device 24: Function 7
          vendor: Advanced Micro Devices, Inc. [AMD]
          physical id: 10b
          bus info: pci@0000:00:18.7
          version: 00
          width: 32 bits
          clock: 33MHz
     *-pnp00:00
          product: PnP device PNP0c02
          physical id: 2
          capabilities: pnp
          configuration: driver=system
     *-pnp00:01
          product: PnP device PNP0b00
          physical id: 3
          capabilities: pnp
          configuration: driver=rtc_cmos
     *-pnp00:02
          product: PnP device PNP0c02
          physical id: 4
          capabilities: pnp
          configuration: driver=system
     *-pnp00:03
          product: PnP device PNP0c01
          physical id: 5
          capabilities: pnp
          configuration: driver=system
     *-pnp00:04
          product: PnP device PNP0303
          physical id: 6
          capabilities: pnp
          configuration: driver=i8042 kbd
WARNING: output may be incomplete or inaccurate, you should run this program as super-user.

Comment 9 chialinglee2011 2020-11-10 01:23:00 UTC
On reboot after applying the workaround @rugk mentioned, mic is now working for me too.

Comment 10 rugk 2020-11-16 22:51:27 UTC
As nobody replied here and took care of this, I'll try to re-assign it to the kernel component. As kernel backlisting of some "snd" components fixed the bug, it has apparently have something to do with the kernel.
Or should we just go ahead and [try to find the correct component](https://bugzilla.kernel.org/buglist.cgi?quicksearch=snd) for this bug?

Comment 11 Hans de Goede 2020-11-17 11:06:30 UTC
Re-assignign this to alsa-lib, it is likely a sound issue, but this way the Fedora people working on sound issues will actually see it.

Note for the sound people, this likely is related to the new DMIC support, according to the forum post linked from comment 6 and confirmed here in comment 10, blacklisting the following kernel modules fixes this issue (at least for some users / device models):

blacklist snd-soc-dmic
blacklist snd-acp3x-rn
blacklist snd-acp3x-pdm-dma

Comment 12 rugk 2020-11-17 19:11:35 UTC
Thanks a lot for triaging/assigning this correctly! :)

Comment 13 Jaroslav Kysela 2020-11-18 06:55:32 UTC
The blacklisting is not required. You may just instruct snd-acp3x-rn module that the AMD platform has no digital microphone connected to their CPU audio bridge:

  echo "options snd-rn-pci-acp3x dmic_acpi_check=0" > /etc/modprobe.d/alsa-dmic.conf

The current auto-detection code uses ACPI _WOV integer to determine the presence of digital microphone:

  handle = ACPI_HANDLE(&pci->dev);
  ret = acpi_evaluate_integer(handle, "_WOV", NULL, &dmic_status);

Perhaps, the hardware vendor has just wrong ACPI tables for this hardware. I'll ask AMD (author of this driver) for the feedback.

Comment 14 Jaroslav Kysela 2020-12-07 09:55:30 UTC
It's definitely a Lenovo problem. AMD confirmed that the BIOS ACPI table is wrong for those machines:

  https://mailman.alsa-project.org/pipermail/alsa-devel/2020-November/177218.html
  https://mailman.alsa-project.org/pipermail/alsa-devel/2020-December/178039.html

Add Lenovo to fix this issue for the reported models. You may use the manual configuration in comment #13 until the BIOS is fixed to make the auto-detection working properly.

The affected hardware:

  IdeaPad 5 15ARE05
  Thinkpad X395
  Lenovo IdeaPad s340

It seems that all models based on the AMD should be checked.

Comment 15 Hans de Goede 2020-12-07 10:18:59 UTC
(In reply to Jaroslav Kysela from comment #14)
> It's definitely a Lenovo problem. AMD confirmed that the BIOS ACPI table is
> wrong for those machines:
> 
>  
> https://mailman.alsa-project.org/pipermail/alsa-devel/2020-November/177218.
> html
>  
> https://mailman.alsa-project.org/pipermail/alsa-devel/2020-December/178039.
> html
> 
> Add Lenovo to fix this issue for the reported models. You may use the manual
> configuration in comment #13 until the BIOS is fixed to make the
> auto-detection working properly.
> 
> The affected hardware:
> 
>   IdeaPad 5 15ARE05
>   Thinkpad X395
>   Lenovo IdeaPad s340

I'm not sure if Lenovo is going to fix this, esp. for the IdeaPad-s. Also we really should not rely on people installing the latest BIOS. So IMHO it would be better to add a DMI override list for the kernel commandline option which you mention and do the right thing automatically (1). I know this, well sucks, but IMHO it is important to make sure that things just work for end users.

1) In this case, ideally change the option to an int and the default of the option to -1, and use a DMI check when it is -1, otherwise honor the user specified value. This way the user can always override the DMI based quirk, to e.g. confirm that it is no longer necessary with a newer BIOS.

Comment 16 Jaroslav Kysela 2020-12-07 10:44:45 UTC
(In reply to Hans de Goede from comment #15)
> (In reply to Jaroslav Kysela from comment #14)
> > It's definitely a Lenovo problem. AMD confirmed that the BIOS ACPI table is
> > wrong for those machines:
> > 
> >  
> > https://mailman.alsa-project.org/pipermail/alsa-devel/2020-November/177218.
> > html
> >  
> > https://mailman.alsa-project.org/pipermail/alsa-devel/2020-December/178039.
> > html
> > 
> > Add Lenovo to fix this issue for the reported models. You may use the manual
> > configuration in comment #13 until the BIOS is fixed to make the
> > auto-detection working properly.
> > 
> > The affected hardware:
> > 
> >   IdeaPad 5 15ARE05
> >   Thinkpad X395
> >   Lenovo IdeaPad s340
> 
> I'm not sure if Lenovo is going to fix this, esp. for the IdeaPad-s. Also we
> really should not rely on people installing the latest BIOS. So IMHO it
> would be better to add a DMI override list for the kernel commandline option
> which you mention and do the right thing automatically (1). I know this,
> well sucks, but IMHO it is important to make sure that things just work for
> end users.
> 
> 1) In this case, ideally change the option to an int and the default of the
> option to -1, and use a DMI check when it is -1, otherwise honor the user
> specified value. This way the user can always override the DMI based quirk,
> to e.g. confirm that it is no longer necessary with a newer BIOS.

The parameter is already tri-state:

 * dmic_acpi_check = -1 - Checks ACPI method to know DMIC hardware status runtime
 *                 = 0 - Skips the DMIC device creation and returns probe failure
 *                 = 1 - Assumes that platform has DMIC support and skips ACPI
 *                       method check

It's just about to handle a list of the hardware with a broken BIOS not following the CPU vendor specification.

Reporters, please, attach output from 'alsa-info.sh --no-upload' for your hardware to gather necessary information for the skip list.

Comment 17 chialinglee2011 2020-12-07 13:06:10 UTC
Created attachment 1737294 [details]
alsa-info.sh --no-upload output as requested

Comment 18 chialinglee2011 2020-12-07 13:06:49 UTC
Uploaded.

Comment 19 Mark Pearson 2020-12-07 13:36:09 UTC
Thanks for the pointer on the ACPI table. I'll forward to the firmware team and see if someone can look at it.
Mark

Comment 20 Mark Pearson 2020-12-07 13:41:32 UTC
Just for my personal tracking: internal reference: LO-930

Comment 21 rugk 2020-12-07 21:47:10 UTC
IdeaPad 5 15ARE05
Info in: https://paste.dismail.de/?c0839f53ae2e32e5#B1DASaUQL6DcVehY9KxqhP1QS4HuUSg6z7MgZ8pQhZKH
(available for at most a one year)

(Additional Bluetooth headset was connected at time of creation. The workaround from comment 13 is also applied.)

Comment 22 rugk 2020-12-07 22:47:47 UTC
Potentially related bug: Bug 1905279

Comment 23 Jaroslav Kysela 2020-12-08 15:40:24 UTC
Upstream pending patch for IdeaPad: https://lore.kernel.org/alsa-devel/20201208153654.2733354-1-perex@perex.cz/T/#u

Comment 24 Jaroslav Kysela 2020-12-27 13:14:56 UTC
Upstream pending patch for ThinkPad T14 Gen 2: https://mailman.alsa-project.org/pipermail/alsa-devel/2020-December/178657.html

Upstream pending patch for ThinkPad X395: https://mailman.alsa-project.org/pipermail/alsa-devel/2020-December/178659.html

I don't have alsa-info output for IdeaPad S340 to create a kernel patch.

Comment 25 nmendozam 2021-01-01 21:35:52 UTC
This is the output of alsa-info for ThinkPad S340-14API is:

upload=true&script=true&cardinfo=
!!################################
!!ALSA Information Script v 0.4.65
!!################################

!!Script ran on: Fri Jan  1 20:35:40 UTC 2021


!!Linux Distribution
!!------------------

Fedora release 33 (Thirty Three) NAME=Fedora ID=fedora PRETTY_NAME="Fedora 33 (Workstation Edition)" LOGO=fedora-logo-icon CPE_NAME="cpe:/o:fedoraproject:fedora:33" HOME_URL="https://fedoraproject.org/" DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora/f33/system-administrators-guide/" SUPPORT_URL="https://fedoraproject.org/wiki/Communicating_and_getting_help" BUG_REPORT_URL="https://bugzilla.redhat.com/" REDHAT_BUGZILLA_PRODUCT="Fedora" REDHAT_BUGZILLA_PRODUCT_VERSION=33 REDHAT_SUPPORT_PRODUCT="Fedora" REDHAT_SUPPORT_PRODUCT_VERSION=33 PRIVACY_POLICY_URL="https://fedoraproject.org/wiki/Legal:PrivacyPolicy" Fedora release 33 (Thirty Three) Fedora release 33 (Thirty Three)


!!DMI Information
!!---------------

Manufacturer:      LENOVO
Product Name:      81NB
Product Version:   Lenovo IdeaPad S340-14API
Firmware Version:  AMCN26WW(V1.09)
System SKU:        LENOVO_MT_81NB_BU_idea_FM_IdeaPad S340-14API
Board Vendor:      LENOVO
Board Name:        LNVNB161216


!!ACPI Device Status Information
!!---------------

/sys/bus/acpi/devices/AMDI0010:01/status 	 15
/sys/bus/acpi/devices/AMDI0030:00/status 	 15
/sys/bus/acpi/devices/ELAN469D:00/status 	 15
/sys/bus/acpi/devices/LIC0001:00/status 	 15
/sys/bus/acpi/devices/LNXVIDEO:01/status 	 15
/sys/bus/acpi/devices/MSFT0101:00/status 	 15
/sys/bus/acpi/devices/PNP0103:00/status 	 15
/sys/bus/acpi/devices/PNP0C0A:00/status 	 31
/sys/bus/acpi/devices/PNP0C0C:00/status 	 15
/sys/bus/acpi/devices/PNP0C0D:00/status 	 15
/sys/bus/acpi/devices/PNP0C0F:00/status 	 9
/sys/bus/acpi/devices/PNP0C0F:01/status 	 9
/sys/bus/acpi/devices/PNP0C0F:02/status 	 9
/sys/bus/acpi/devices/PNP0C0F:03/status 	 9
/sys/bus/acpi/devices/PNP0C0F:04/status 	 9
/sys/bus/acpi/devices/PNP0C0F:05/status 	 9
/sys/bus/acpi/devices/PNP0C0F:06/status 	 9
/sys/bus/acpi/devices/PNP0C0F:07/status 	 9
/sys/bus/acpi/devices/VPC2004:00/status 	 15
/sys/bus/acpi/devices/device:0d/status 	 11
/sys/bus/acpi/devices/device:0e/status 	 11


!!Kernel Information
!!------------------

Kernel release:    5.9.16-200.fc33.x86_64
Operating System:  GNU/Linux
Architecture:      x86_64
Processor:         x86_64
SMP Enabled:       Yes


!!ALSA Version
!!------------

Driver version:     k5.9.16-200.fc33.x86_64
Library version:    
Utilities version:  1.2.4


!!Loaded ALSA modules
!!-------------------

snd_hda_intel
snd_hda_intel


!!Sound Servers on this system
!!----------------------------

Pulseaudio:
      Installed - Yes (/usr/bin/pulseaudio)
      Running - Yes

Jack:
      Installed - Yes (/usr/bin/jackd)
      Running - No


!!Soundcards recognised by ALSA
!!-----------------------------

 0 [Generic        ]: HDA-Intel - HD-Audio Generic
                      HD-Audio Generic at 0xc08c8000 irq 68
 1 [Generic_1      ]: HDA-Intel - HD-Audio Generic
                      HD-Audio Generic at 0xc08c0000 irq 69


!!PCI Soundcards installed in the system
!!--------------------------------------

04:00.1 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] Raven/Raven2/Fenghuang HDMI/DP Audio Controller [1002:15de]
	Subsystem: Lenovo Device [17aa:380f]
04:00.6 Audio device [0403]: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 10h-1fh) HD Audio Controller [1022:15e3]
	Subsystem: Lenovo Device [17aa:3814]


!!Modprobe options (Sound related)
!!--------------------------------

snd_hda_intel: dmic_detect=0


!!Loaded sound module options
!!---------------------------

!!Module: snd_hda_intel
	align_buffer_size : -1
	bdl_pos_adj : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	beep_mode : N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
	dmic_detect : N
	enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
	enable_msi : -1
	id : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	index : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	jackpoll_ms : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	model : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	patch : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	pm_blacklist : Y
	position_fix : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	power_save : 0
	power_save_controller : N
	probe_mask : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	probe_only : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	single_cmd : -1
	snoop : -1

!!Module: snd_hda_intel
	align_buffer_size : -1
	bdl_pos_adj : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	beep_mode : N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
	dmic_detect : N
	enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
	enable_msi : -1
	id : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	index : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	jackpoll_ms : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	model : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	patch : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	pm_blacklist : Y
	position_fix : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	power_save : 0
	power_save_controller : N
	probe_mask : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	probe_only : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	single_cmd : -1
	snoop : -1


!!HDA-Intel Codec information
!!---------------------------
--startcollapse--

Codec: ATI R6xx HDMI
Address: 0
AFG Function Id: 0x1 (unsol 0)
Vendor Id: 0x1002aa01
Subsystem Id: 0x00aa0100
Revision Id: 0x100700
No Modem Function Group found
Default PCM:
    rates [0x70]: 32000 44100 48000
    bits [0x2]: 16
    formats [0x1]: PCM
Default Amp-In caps: N/A
Default Amp-Out caps: N/A
State of AFG node 0x01:
  Power states:  D0 D3 CLKSTOP EPSS
  Power: setting=D0, actual=D0, Clock-stop-OK
GPIO: io=0, o=0, i=0, unsolicited=0, wake=0
Node 0x02 [Audio Output] wcaps 0x221: Stereo Digital Stripe
  Converter: stream=0, channel=0
  Digital: Enabled
  Digital category: 0x0
  IEC Coding Type: 0x0
Node 0x03 [Pin Complex] wcaps 0x400381: Stereo Digital
  Control: name="IEC958 Playback Con Mask", index=0, device=0
  Control: name="IEC958 Playback Pro Mask", index=0, device=0
  Control: name="IEC958 Playback Default", index=0, device=0
  Control: name="IEC958 Playback Switch", index=0, device=0
  Pincap 0x00000094: OUT Detect HDMI
  Pin Default 0x185600f0: [Jack] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0xf, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x02
Node 0x04 [Audio Output] wcaps 0x221: Stereo Digital Stripe
  Converter: stream=0, channel=0
  Digital:
  Digital category: 0x0
  IEC Coding Type: 0x0
Node 0x05 [Pin Complex] wcaps 0x400381: Stereo Digital
  Pincap 0x00000094: OUT Detect HDMI
  Pin Default 0x585600f0: [N/A] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0xf, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x04
Node 0x06 [Audio Output] wcaps 0x221: Stereo Digital Stripe
  Converter: stream=0, channel=0
  Digital:
  Digital category: 0x0
  IEC Coding Type: 0x0
Node 0x07 [Pin Complex] wcaps 0x400381: Stereo Digital
  Pincap 0x00000094: OUT Detect HDMI
  Pin Default 0x585600f0: [N/A] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0xf, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x06
Node 0x08 [Audio Output] wcaps 0x221: Stereo Digital Stripe
  Converter: stream=0, channel=0
  Digital:
  Digital category: 0x0
  IEC Coding Type: 0x0
Node 0x09 [Pin Complex] wcaps 0x400381: Stereo Digital
  Pincap 0x00000094: OUT Detect HDMI
  Pin Default 0x585600f0: [N/A] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0xf, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x08
Node 0x0a [Audio Output] wcaps 0x221: Stereo Digital Stripe
  Converter: stream=0, channel=0
  Digital:
  Digital category: 0x0
  IEC Coding Type: 0x0
Node 0x0b [Pin Complex] wcaps 0x400381: Stereo Digital
  Pincap 0x00000094: OUT Detect HDMI
  Pin Default 0x585600f0: [N/A] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0xf, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x0a
Node 0x0c [Audio Output] wcaps 0x221: Stereo Digital Stripe
  Converter: stream=0, channel=0
  Digital:
  Digital category: 0x0
  IEC Coding Type: 0x0
Node 0x0d [Pin Complex] wcaps 0x400381: Stereo Digital
  Pincap 0x00000094: OUT Detect HDMI
  Pin Default 0x585600f0: [N/A] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0xf, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x0c
Codec: Realtek ALC257
Address: 0
AFG Function Id: 0x1 (unsol 1)
Vendor Id: 0x10ec0257
Subsystem Id: 0x17aa380e
Revision Id: 0x100001
No Modem Function Group found
Default PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Default Amp-In caps: N/A
Default Amp-Out caps: N/A
State of AFG node 0x01:
  Power states:  D0 D1 D2 D3 D3cold CLKSTOP EPSS
  Power: setting=D0, actual=D0
GPIO: io=3, o=0, i=0, unsolicited=1, wake=0
  IO[0]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
  IO[1]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
  IO[2]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
Node 0x02 [Audio Output] wcaps 0x41d: Stereo Amp-Out
  Control: name="Speaker Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
  Amp-Out vals:  [0x00 0x00]
  Converter: stream=5, channel=0
  PCM:
    rates [0x60]: 44100 48000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x03 [Audio Output] wcaps 0x41d: Stereo Amp-Out
  Control: name="Headphone Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Device: name="ALC257 Analog", type="Audio", device=0
  Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
  Amp-Out vals:  [0x31 0x31]
  Converter: stream=5, channel=0
  PCM:
    rates [0x60]: 44100 48000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x04 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x05 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x06 [Audio Output] wcaps 0x611: Stereo Digital
  Converter: stream=0, channel=0
  Digital:
  Digital category: 0x0
  IEC Coding Type: 0x0
  PCM:
    rates [0x5e0]: 44100 48000 88200 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x07 [Audio Input] wcaps 0x10051b: Stereo Amp-In
  Amp-In caps: ofs=0x17, nsteps=0x3f, stepsize=0x02, mute=1
  Amp-In vals:  [0x97 0x97]
  Converter: stream=0, channel=0
  SDI-Select: 0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x24
Node 0x08 [Audio Input] wcaps 0x10051b: Stereo Amp-In
  Control: name="Capture Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Control: name="Capture Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Device: name="ALC257 Analog", type="Audio", device=0
  Amp-In caps: ofs=0x17, nsteps=0x3f, stepsize=0x02, mute=1
  Amp-In vals:  [0xbf 0xbf]
  Converter: stream=1, channel=0
  SDI-Select: 0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x23
Node 0x09 [Audio Input] wcaps 0x10051b: Stereo Amp-In
  Amp-In caps: ofs=0x17, nsteps=0x3f, stepsize=0x02, mute=1
  Amp-In vals:  [0x97 0x97]
  Converter: stream=0, channel=0
  SDI-Select: 0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x22
Node 0x0a [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x0b [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x0c [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x0d [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x0e [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x0f [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x10 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x11 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x12 [Pin Complex] wcaps 0x40040b: Stereo Amp-In
  Control: name="Internal Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Pincap 0x00000020: IN
  Pin Default 0x90a60120: [Fixed] Mic at Int N/A
    Conn = Digital, Color = Unknown
    DefAssociation = 0x2, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x13 [Pin Complex] wcaps 0x40040b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Pincap 0x00000020: IN
  Pin Default 0x40000000: [N/A] Line Out at Ext N/A
    Conn = Unknown, Color = Unknown
    DefAssociation = 0x0, Sequence = 0x0
  Pin-ctls: 0x00:
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x14 [Pin Complex] wcaps 0x40058d: Stereo Amp-Out
  Control: name="Speaker Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x00010014: OUT EAPD Detect
  EAPD 0x2: EAPD
  Pin Default 0x90170110: [Fixed] Speaker at Int N/A
    Conn = Analog, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x02
Node 0x15 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x16 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x17 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x18 [Pin Complex] wcaps 0x40048b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Pincap 0x00003724: IN Detect
    Vref caps: HIZ 50 GRD 80 100
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN VREF_HIZ
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x19 [Pin Complex] wcaps 0x40048b: Stereo Amp-In
  Control: name="Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x01 0x01]
  Pincap 0x00003724: IN Detect
    Vref caps: HIZ 50 GRD 80 100
  Pin Default 0x04a11030: [Jack] Mic at Ext Right
    Conn = 1/8, Color = Black
    DefAssociation = 0x3, Sequence = 0x0
  Pin-ctls: 0x24: IN VREF_80
  Unsolicited: tag=02, enabled=1
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x1a [Pin Complex] wcaps 0x40048b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Pincap 0x00003724: IN Detect
    Vref caps: HIZ 50 GRD 80 100
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x00: VREF_HIZ
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x1b [Pin Complex] wcaps 0x40058f: Stereo Amp-In Amp-Out
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x00013734: IN OUT EAPD Detect
    Vref caps: HIZ 50 GRD 80 100
  EAPD 0x2: EAPD
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN VREF_HIZ
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 2
     0x02* 0x03
Node 0x1c [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x1d [Pin Complex] wcaps 0x400400: Mono
  Pincap 0x00000020: IN
  Pin Default 0x40661b45: [N/A] Modem Line at Ext N/A
    Conn = Digital, Color = Black
    DefAssociation = 0x4, Sequence = 0x5
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x1e [Pin Complex] wcaps 0x400781: Stereo Digital
  Pincap 0x00000014: OUT Detect
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x06
Node 0x1f [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x20 [Vendor Defined Widget] wcaps 0xf00040: Mono
  Processing caps: benign=0, ncoeff=142
Node 0x21 [Pin Complex] wcaps 0x40058d: Stereo Amp-Out
  Control: name="Headphone Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x0001001c: OUT HP EAPD Detect
  EAPD 0x2: EAPD
  Pin Default 0x0421101f: [Jack] HP Out at Ext Right
    Conn = 1/8, Color = Black
    DefAssociation = 0x1, Sequence = 0xf
  Pin-ctls: 0xc0: OUT HP
  Unsolicited: tag=01, enabled=1
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 2
     0x02 0x03*
Node 0x22 [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80]
  Connection: 6
     0x18 0x19 0x1a 0x1b 0x1d 0x13
Node 0x23 [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x80 0x80] [0x00 0x00] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80]
  Connection: 6
     0x18 0x19 0x1a 0x1b 0x1d 0x12
Node 0x24 [Audio Selector] wcaps 0x300101: Stereo
  Connection: 2
     0x12* 0x13
--endcollapse--


!!ALSA Device nodes
!!-----------------

crw-rw----+ 1 root audio 116,  4 Dec 31 19:17 /dev/snd/controlC0
crw-rw----+ 1 root audio 116,  8 Dec 31 19:17 /dev/snd/controlC1
crw-rw----+ 1 root audio 116,  3 Dec 31 19:17 /dev/snd/hwC0D0
crw-rw----+ 1 root audio 116,  7 Dec 31 19:17 /dev/snd/hwC1D0
crw-rw----+ 1 root audio 116,  2 Dec 31 19:18 /dev/snd/pcmC0D3p
crw-rw----+ 1 root audio 116,  6 Jan  1 15:31 /dev/snd/pcmC1D0c
crw-rw----+ 1 root audio 116,  5 Jan  1 15:31 /dev/snd/pcmC1D0p
crw-rw----+ 1 root audio 116,  1 Dec 31 19:17 /dev/snd/seq
crw-rw----+ 1 root audio 116, 33 Dec 31 19:17 /dev/snd/timer

/dev/snd/by-path:
total 0
drwxr-xr-x. 2 root root  80 Dec 31 19:17 .
drwxr-xr-x. 3 root root 240 Dec 31 19:17 ..
lrwxrwxrwx. 1 root root  12 Dec 31 19:17 pci-0000:04:00.1 -> ../controlC0
lrwxrwxrwx. 1 root root  12 Dec 31 19:17 pci-0000:04:00.6 -> ../controlC1


!!ALSA configuration files
!!------------------------

!!System wide config file (/etc/asound.conf)

#
# Place your global alsa-lib configuration here...
#


!!Aplay/Arecord output
!!--------------------

APLAY

**** List of PLAYBACK Hardware Devices ****
card 0: Generic [HD-Audio Generic], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: Generic_1 [HD-Audio Generic], device 0: ALC257 Analog [ALC257 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0

ARECORD

**** List of CAPTURE Hardware Devices ****
card 1: Generic_1 [HD-Audio Generic], device 0: ALC257 Analog [ALC257 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

!!Amixer output
!!-------------

!!-------Mixer controls for card Generic

Card hw:0 'Generic'/'HD-Audio Generic at 0xc08c8000 irq 68'
  Mixer name	: 'ATI R6xx HDMI'
  Components	: 'HDA:1002aa01,00aa0100,00100700'
  Controls      : 7
  Simple ctrls  : 1
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]

!!-------Mixer controls for card Generic_1

Card hw:1 'Generic_1'/'HD-Audio Generic at 0xc08c0000 irq 69'
  Mixer name	: 'Realtek ALC257'
  Components	: 'HDA:10ec0257,17aa380e,00100001'
  Controls      : 18
  Simple ctrls  : 8
Simple mixer control 'Master',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 87
  Mono: Playback 49 [56%] [-28.50dB] [on]
Simple mixer control 'Headphone',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 87
  Mono:
  Front Left: Playback 87 [100%] [0.00dB] [on]
  Front Right: Playback 87 [100%] [0.00dB] [on]
Simple mixer control 'Speaker',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 87
  Mono:
  Front Left: Playback 0 [0%] [-65.25dB] [off]
  Front Right: Playback 0 [0%] [-65.25dB] [off]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 255 [100%] [0.00dB]
  Front Right: Playback 255 [100%] [0.00dB]
Simple mixer control 'Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 1 [33%] [10.00dB]
  Front Right: 1 [33%] [10.00dB]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 63
  Front Left: Capture 63 [100%] [30.00dB] [off]
  Front Right: Capture 63 [100%] [30.00dB] [off]
Simple mixer control 'Auto-Mute Mode',0
  Capabilities: enum
  Items: 'Disabled' 'Enabled'
  Item0: 'Disabled'
Simple mixer control 'Internal Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%] [0.00dB]
  Front Right: 0 [0%] [0.00dB]


!!Alsactl output
!!--------------

--startcollapse--
state.Generic {
	control.1 {
		iface CARD
		name 'HDMI/DP,pcm=3 Jack'
		value false
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.2 {
		iface MIXER
		name 'IEC958 Playback Con Mask'
		value '0fff000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'
		comment {
			access read
			type IEC958
			count 1
		}
	}
	control.3 {
		iface MIXER
		name 'IEC958 Playback Pro Mask'
		value '0f00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'
		comment {
			access read
			type IEC958
			count 1
		}
	}
	control.4 {
		iface MIXER
		name 'IEC958 Playback Default'
		value '0400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'
		comment {
			access 'read write'
			type IEC958
			count 1
		}
	}
	control.5 {
		iface MIXER
		name 'IEC958 Playback Switch'
		value true
		comment {
			access 'read write'
			type BOOLEAN
			count 1
		}
	}
	control.6 {
		iface PCM
		device 3
		name ELD
		value ''
		comment {
			access 'read volatile'
			type BYTES
			count 0
		}
	}
	control.7 {
		iface PCM
		device 3
		name 'Playback Channel Map'
		value.0 0
		value.1 0
		value.2 0
		value.3 0
		value.4 0
		value.5 0
		value.6 0
		value.7 0
		comment {
			access 'read write'
			type INTEGER
			count 8
			range '0 - 36'
		}
	}
}
state.Generic_1 {
	control.1 {
		iface MIXER
		name 'Headphone Playback Volume'
		value.0 87
		value.1 87
		comment {
			access 'read write'
			type INTEGER
			count 2
			range '0 - 87'
			dbmin -6525
			dbmax 0
			dbvalue.0 0
			dbvalue.1 0
		}
	}
	control.2 {
		iface MIXER
		name 'Headphone Playback Switch'
		value.0 true
		value.1 true
		comment {
			access 'read write'
			type BOOLEAN
			count 2
		}
	}
	control.3 {
		iface MIXER
		name 'Speaker Playback Volume'
		value.0 0
		value.1 0
		comment {
			access 'read write'
			type INTEGER
			count 2
			range '0 - 87'
			dbmin -6525
			dbmax 0
			dbvalue.0 -6525
			dbvalue.1 -6525
		}
	}
	control.4 {
		iface MIXER
		name 'Speaker Playback Switch'
		value.0 false
		value.1 false
		comment {
			access 'read write'
			type BOOLEAN
			count 2
		}
	}
	control.5 {
		iface MIXER
		name 'Auto-Mute Mode'
		value Disabled
		comment {
			access 'read write'
			type ENUMERATED
			count 1
			item.0 Disabled
			item.1 Enabled
		}
	}
	control.6 {
		iface MIXER
		name 'Capture Volume'
		value.0 63
		value.1 63
		comment {
			access 'read write'
			type INTEGER
			count 2
			range '0 - 63'
			dbmin -1725
			dbmax 3000
			dbvalue.0 3000
			dbvalue.1 3000
		}
	}
	control.7 {
		iface MIXER
		name 'Capture Switch'
		value.0 false
		value.1 false
		comment {
			access 'read write'
			type BOOLEAN
			count 2
		}
	}
	control.8 {
		iface MIXER
		name 'Mic Boost Volume'
		value.0 1
		value.1 1
		comment {
			access 'read write'
			type INTEGER
			count 2
			range '0 - 3'
			dbmin 0
			dbmax 3000
			dbvalue.0 1000
			dbvalue.1 1000
		}
	}
	control.9 {
		iface MIXER
		name 'Internal Mic Boost Volume'
		value.0 0
		value.1 0
		comment {
			access 'read write'
			type INTEGER
			count 2
			range '0 - 3'
			dbmin 0
			dbmax 3000
			dbvalue.0 0
			dbvalue.1 0
		}
	}
	control.10 {
		iface MIXER
		name 'Master Playback Volume'
		value 49
		comment {
			access 'read write'
			type INTEGER
			count 1
			range '0 - 87'
			dbmin -6525
			dbmax 0
			dbvalue.0 -2850
		}
	}
	control.11 {
		iface MIXER
		name 'Master Playback Switch'
		value true
		comment {
			access 'read write'
			type BOOLEAN
			count 1
		}
	}
	control.12 {
		iface CARD
		name 'Mic Jack'
		value true
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.13 {
		iface CARD
		name 'Internal Mic Phantom Jack'
		value true
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.14 {
		iface CARD
		name 'Headphone Jack'
		value true
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.15 {
		iface CARD
		name 'Speaker Phantom Jack'
		value true
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.16 {
		iface PCM
		name 'Playback Channel Map'
		value.0 3
		value.1 4
		comment {
			access read
			type INTEGER
			count 2
			range '0 - 36'
		}
	}
	control.17 {
		iface PCM
		name 'Capture Channel Map'
		value.0 0
		value.1 0
		comment {
			access read
			type INTEGER
			count 2
			range '0 - 36'
		}
	}
	control.18 {
		iface MIXER
		name 'PCM Playback Volume'
		value.0 255
		value.1 255
		comment {
			access 'read write user'
			type INTEGER
			count 2
			range '0 - 255'
			tlv '0000000100000008ffffec1400000014'
			dbmin -5100
			dbmax 0
			dbvalue.0 0
			dbvalue.1 0
		}
	}
}
--endcollapse--


!!All Loaded Modules
!!------------------

acpi_cpufreq
amdgpu
ath
ath10k_core
ath10k_pci
binfmt_misc
bluetooth
bnep
br_netfilter
bridge
btbcm
btintel
btrtl
btusb
ccm
ccp
cec
cfg80211
cmac
crc32_pclmul
crc32c_intel
crct10dif_pclmul
drm
drm_kms_helper
ecc
ecdh_generic
edac_mce_amd
fat
fuse
ghash_clmulni_intel
gpu_sched
hid_logitech_dj
hid_logitech_hidpp
hid_multitouch
hidp
i2c_algo_bit
i2c_hid
i2c_piix4
ideapad_laptop
iommu_v2
ip6_tables
ip6table_filter
ip6table_mangle
ip6table_nat
ip6table_raw
ip6table_security
ip_set
ip_tables
ip_vs
ip_vs_rr
ip_vs_sh
ip_vs_wrr
ipt_REJECT
iptable_filter
iptable_mangle
iptable_nat
iptable_raw
iptable_security
irqbypass
joydev
k10temp
kvm
kvm_amd
ledtrig_audio
libarc4
llc
loop
mac80211
mc
mmc_core
nf_conntrack
nf_conntrack_broadcast
nf_conntrack_netbios_ns
nf_conntrack_netlink
nf_conntrack_tftp
nf_defrag_ipv4
nf_defrag_ipv6
nf_nat
nf_nat_tftp
nf_reject_ipv4
nf_reject_ipv6
nf_tables
nfnetlink
nft_chain_nat
nft_ct
nft_fib
nft_fib_inet
nft_fib_ipv4
nft_fib_ipv6
nft_masq
nft_objref
nft_reject
nft_reject_inet
nvme
nvme_core
overlay
pcspkr
pinctrl_amd
rapl
rfcomm
rfkill
rtsx_pci
rtsx_pci_sdmmc
serio_raw
snd
snd_hda_codec
snd_hda_codec_generic
snd_hda_codec_hdmi
snd_hda_codec_realtek
snd_hda_core
snd_hda_intel
snd_hrtimer
snd_hwdep
snd_intel_dspcfg
snd_pci_acp3x
snd_pcm
snd_rn_pci_acp3x
snd_seq
snd_seq_device
snd_seq_dummy
snd_timer
soundcore
sp5100_tco
sparse_keymap
squashfs
stp
sunrpc
ttm
tun
uinput
uvcvideo
vboxdrv
vboxnetadp
vboxnetflt
veth
vfat
video
videobuf2_common
videobuf2_memops
videobuf2_v4l2
videobuf2_vmalloc
videodev
wmi
wmi_bmof
xt_CHECKSUM
xt_MASQUERADE
xt_addrtype
xt_comment
xt_conntrack
xt_mark
xt_nat
zram


!!Sysfs Files
!!-----------

/sys/class/sound/hwC0D0/init_pin_configs:
0x03 0x185600f0
0x05 0x585600f0
0x07 0x585600f0
0x09 0x585600f0
0x0b 0x585600f0
0x0d 0x585600f0

/sys/class/sound/hwC0D0/driver_pin_configs:

/sys/class/sound/hwC0D0/user_pin_configs:

/sys/class/sound/hwC0D0/init_verbs:

/sys/class/sound/hwC0D0/hints:

/sys/class/sound/hwC1D0/init_pin_configs:
0x12 0x90a60120
0x13 0x40000000
0x14 0x90170110
0x18 0x411111f0
0x19 0x04a11030
0x1a 0x411111f0
0x1b 0x411111f0
0x1d 0x40661b45
0x1e 0x411111f0
0x21 0x0421101f

/sys/class/sound/hwC1D0/driver_pin_configs:

/sys/class/sound/hwC1D0/user_pin_configs:

/sys/class/sound/hwC1D0/init_verbs:

/sys/class/sound/hwC1D0/hints:


!!ALSA/HDA dmesg
!!--------------

[    0.000000] Linux version 5.9.16-200.fc33.x86_64 (mockbuild@bkernel01.iad2.fedoraproject.org) (gcc (GCC) 10.2.1 20201125 (Red Hat 10.2.1-9), GNU ld version 2.35-15.fc33) #1 SMP Mon Dec 21 14:08:22 UTC 2020
[    0.000000] Command line: BOOT_IMAGE=(hd1,gpt2)/vmlinuz-5.9.16-200.fc33.x86_64 root=UUID=22f50082-d1dd-4f54-b198-7fa60108acaf ro rootflags=subvol=root rhgb quiet systemd.unified_cgroup_hierarchy=0 snd_hda_intel.dmic_detect=0 resume=/dev/zram0 resume_offset=5860172
[    0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
--
[    0.102217] Policy zone: Normal
[    0.102218] Kernel command line: BOOT_IMAGE=(hd1,gpt2)/vmlinuz-5.9.16-200.fc33.x86_64 root=UUID=22f50082-d1dd-4f54-b198-7fa60108acaf ro rootflags=subvol=root rhgb quiet systemd.unified_cgroup_hierarchy=0 snd_hda_intel.dmic_detect=0 resume=/dev/zram0 resume_offset=5860172
[    0.105651] Dentry cache hash table entries: 4194304 (order: 13, 33554432 bytes, linear)
--
[    0.576822] ACPI: Added _OSI(Linux-Dell-Video)
[    0.576822] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[    0.576822] ACPI: Added _OSI(Linux-HPI-Hybrid-Graphics)
--
[    5.168881] input: Ideapad extra buttons as /devices/pci0000:00/0000:00:14.3/PNP0C09:00/VPC2004:00/input/input9
[    5.178649] snd_pci_acp3x 0000:04:00.5: Invalid ACP audio mode : 1
[    5.183000] snd_rn_pci_acp3x: probe of 0000:04:00.5 failed with error -22
[    5.185408] piix4_smbus 0000:00:14.0: SMBus Host Controller at 0xb00, revision 0
--
[    5.376848] zram0: detected capacity change from 0 to 4294967296
[    5.408266] snd_hda_intel 0000:04:00.1: dmic_detect option is deprecated, pass snd-intel-dspcfg.dsp_driver=1 option instead
[    5.408447] snd_hda_intel 0000:04:00.1: Handle vga_switcheroo audio client
[    5.409638] snd_hda_intel 0000:04:00.6: dmic_detect option is deprecated, pass snd-intel-dspcfg.dsp_driver=1 option instead
[    5.421686] Adding 4194300k swap on /dev/zram0.  Priority:100 extents:1 across:4194300k SSFS
[    5.432267] snd_hda_intel 0000:04:00.1: bound 0000:04:00.0 (ops amdgpu_dm_audio_component_bind_ops [amdgpu])
[    5.433177] input: HD-Audio Generic HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:08.1/0000:04:00.1/sound/card0/input11
[    5.442589] EXT4-fs (nvme0n1p2): mounted filesystem with ordered data mode. Opts: (null)
--
[    5.453826] SVM: Virtual GIF supported
[    5.455839] snd_hda_codec_realtek hdaudioC1D0: autoconfig for ALC257: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[    5.455842] snd_hda_codec_realtek hdaudioC1D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[    5.455844] snd_hda_codec_realtek hdaudioC1D0:    hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[    5.455845] snd_hda_codec_realtek hdaudioC1D0:    mono: mono_out=0x0
[    5.455847] snd_hda_codec_realtek hdaudioC1D0:    inputs:
[    5.455849] snd_hda_codec_realtek hdaudioC1D0:      Mic=0x19
[    5.455850] snd_hda_codec_realtek hdaudioC1D0:      Internal Mic=0x12
[    5.479338] MCE: In-kernel MCE decoding enabled.
--
[    5.484819] EDAC amd64: Node 0: DRAM ECC disabled.
[    5.498468] input: HD-Audio Generic Mic as /devices/pci0000:00/0000:00:08.1/0000:04:00.6/sound/card1/input12
[    5.499217] input: HD-Audio Generic Headphone as /devices/pci0000:00/0000:00:08.1/0000:04:00.6/sound/card1/input13
[    5.523583] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
--
[ 3404.483512] WARNING: CPU: 2 PID: 76075 at drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_link.c:2548 dc_link_set_backlight_level+0x8a/0xf0 [amdgpu]
[ 3404.483513] Modules linked in: ip_vs_sh ip_vs_wrr ip_vs_rr ip_vs xt_comment xt_mark xt_nat veth snd_seq_dummy snd_hrtimer uinput rfcomm nf_conntrack_netlink xt_CHECKSUM xt_MASQUERADE xt_conntrack ipt_REJECT nf_nat_tftp nf_conntrack_tftp xt_addrtype br_netfilter tun bridge stp llc ccm nft_masq nft_objref nf_conntrack_netbios_ns nf_conntrack_broadcast nft_fib_inet nft_fib_ipv4 nft_fib_ipv6 nft_fib nft_reject_inet nf_reject_ipv4 nf_reject_ipv6 nft_reject nft_ct nft_chain_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 iptable_mangle iptable_raw iptable_security ip_set nf_tables overlay nfnetlink ip6table_filter ip6_tables iptable_filter vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) cmac bnep uvcvideo videobuf2_vmalloc btusb videobuf2_memops videobuf2_v4l2 btrtl videobuf2_common btbcm btintel bluetooth videodev mc ecdh_generic ecc sunrpc squashfs ath10k_pci ath10k_core vfat fat edac_mce_amd snd_hda_codec_realtek kvm_amd
[ 3404.483556]  snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi kvm snd_hda_intel snd_intel_dspcfg mac80211 loop snd_hda_codec snd_hda_core irqbypass snd_hwdep rapl snd_seq snd_seq_device ath pcspkr joydev wmi_bmof snd_pcm cfg80211 k10temp sp5100_tco snd_timer i2c_piix4 snd_rn_pci_acp3x snd snd_pci_acp3x ideapad_laptop soundcore sparse_keymap libarc4 rfkill acpi_cpufreq binfmt_misc zram ip_tables amdgpu rtsx_pci_sdmmc mmc_core hid_multitouch iommu_v2 gpu_sched crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit ghash_clmulni_intel ttm drm_kms_helper serio_raw cec drm ccp nvme nvme_core rtsx_pci wmi pinctrl_amd video i2c_hid fuse
[ 3404.483591] CPU: 2 PID: 76075 Comm: systemd-sleep Tainted: G           OE     5.9.16-200.fc33.x86_64 #1


!!Packages installed
!!--------------------

alsa-plugins-pulseaudio-1.2.2-3.fc33.x86_64
alsa-lib-1.2.4-5.fc33.x86_64
alsa-utils-1.2.4-2.fc33.x86_64
alsa-lib-1.2.4-5.fc33.i686
alsa-tools-1.2.2-3.fc33.x86_64
alsa-sof-firmware-1.6-2.fc33.noarch

Comment 26 Mark Pearson 2021-01-05 02:13:34 UTC
Just as a follow on note: the firmware team have stated that _WOV is not set on the x395 as is claimed in https://mailman.alsa-project.org/pipermail/alsa-devel/2020-December/178039.html

I don't have a 395 to be able to check the ACPI tables directly myself - can we confirm if _WOV is really the root cause please? If it is would it be possible to get the firmware version and the ACPI table dump showing _WOV being set.

Thanks
Mark

Comment 27 chialinglee2011 2021-01-05 03:22:21 UTC
What is the command to show _WOV?

Comment 28 adityapratapsingh51 2021-01-13 15:10:27 UTC
I use Arch and Debian. Is there a way to implement the solution in either of them?

Comment 29 adityapratapsingh51 2021-01-13 17:20:28 UTC
A(In reply to adityapratapsingh51 from comment #28)
> I use Arch and Debian. Is there a way to implement the solution in either of
> them?

I have implemented Comment #13. The message no longer appears in log but my microphone still doesn't work

Comment 30 Jaroslav Kysela 2021-01-20 14:44:46 UTC
It seems that the DMI match against the Lenovo board name LNVNB161216 is problematic: https://bugzilla.kernel.org/show_bug.cgi?id=211299

Upstream fix: https://lore.kernel.org/alsa-devel/20210120144211.817937-1-perex@perex.cz/T/#u


Note You need to log in before you can comment on or make changes to this bug.